Create a message
Adds a message to a thread's message stack. Supports user, system, tool, and assistant roles. Cannot add messages to threads created via Chat Completions. Tool messages must follow an assistant message whose tool_call_id matches. System messages should be the first message in a thread.
/v1/threads/{thread_id}/messagesAuthorization
APIKeyHeader In: header
Path Parameters
uuidRequest Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.haufe.ai/agents/v1/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages" \ -H "Content-Type: application/json" \ -d '{ "content": "Welche Kündigungsfristen gelten während der Probezeit?", "role": "user" }'{
"content": "Welche Kündigungsfristen gelten während der Probezeit?",
"created_at": "2025-03-15T09:12:45.123456Z",
"id": "4d5e6f70-8901-cdef-0123-445566778899",
"role": "user",
"thread_id": "1a2b3c4d-5678-9abc-def0-112233445566"
}{
"error_code": "tool_message_has_no_matching_tool_call",
"detail": "Tool message id not found in an preceding assistant message's tool calls in the thread"
}{
"error_code": "thread_not_found",
"detail": "Thread not found"
}{
"error_code": "message_content_empty",
"detail": "Message content cannot be empty."
}{
"error_code": "rate_limit_gateway",
"detail": "Rate limit exceeded"
}{
"error_code": "internal_service_error",
"detail": "An internal service required for processing the request is currently unavailable. Please try again later."
}